// -*- C++ -*-
//
// generated by wxGlade
//
// Example for compiling a single file project under Linux using g++:
//  g++ MyApp.cpp $(wx-config --libs) $(wx-config --cxxflags) -o MyApp
//
// Example for compiling a multi file project under Linux using g++:
//  g++ main.cpp $(wx-config --libs) $(wx-config --cxxflags) -o MyApp Dialog1.cpp Frame1.cpp
//

#include "SizersSizeTests.h"

// begin wxGlade: ::extracode
// end wxGlade



MyFrame::MyFrame(wxWindow* parent, wxWindowID id, const wxString& title, const wxPoint& pos, const wxSize& size, long style):
    wxFrame(parent, id, title, pos, size, wxDEFAULT_FRAME_STYLE)
{
    // begin wxGlade: MyFrame::MyFrame
    SetSize(wxSize(600, 400));
    notebook_1 = new wxNotebook(this, wxID_ANY);
    notebook_1_GridBagSizer_Spacers = new wxPanel(notebook_1, wxID_ANY);
    notebook_1_BorderTest = new wxPanel(notebook_1, wxID_ANY);
    notebook_1_GridBagSizer = new wxPanel(notebook_1, wxID_ANY);
    notebook_1_FlexGridSizer = new wxPanel(notebook_1, wxID_ANY);
    notebook_1_GridSizer = new wxPanel(notebook_1, wxID_ANY);
    notebook_1_StaticBoxSizer = new wxPanel(notebook_1, wxID_ANY);
    notebook_1_WrapSizer = new wxPanel(notebook_1, wxID_ANY);
    notebook_1_pane_1 = new wxPanel(notebook_1, wxID_ANY);
    _0_N_N = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_N_N = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_X_N = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_X_N = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_N_F = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_N_F = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_X_F = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_X_F = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_N_N_copy = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_N_N_copy = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_X_N_copy = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_X_N_copy = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_N_F_copy = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_N_F_copy = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_X_F_copy = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_X_F_copy = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_N_N_copy_1 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_N_N_copy_1 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_X_N_copy_1 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_X_N_copy_1 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_N_F_copy_1 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_N_F_copy_1 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_X_F_copy_1 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_X_F_copy_1 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_N_N_copy_2 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_N_N_copy_2 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_X_N_copy_2 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_X_N_copy_2 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_N_F_copy_2 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_N_F_copy_2 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_X_F_copy_2 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_X_F_copy_2 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_N_N_copy_3 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_N_N_copy_3 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_X_N_copy_3 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_X_N_copy_3 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_N_F_copy_3 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_N_F_copy_3 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_X_F_copy_3 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_X_F_copy_3 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_N_N_copy_4 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_N_N_copy_4 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_X_N_copy_4 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_X_N_copy_4 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_N_F_copy_4 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_N_F_copy_4 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_X_F_copy_4 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_X_F_copy_4 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_N_N_copy_5 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_N_N_copy_5 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_X_N_copy_5 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_X_N_copy_5 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_N_F_copy_5 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_N_F_copy_5 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_X_F_copy_5 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _1_X_F_copy_5 = new wxTextCtrl(notebook_1_pane_1, wxID_ANY, wxEmptyString);
    _0_N_N_copy_30 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_30 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_30 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_30 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_30 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_30 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_30 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_30 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_30_copy = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_30_copy = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_30_copy = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_30_copy = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_30_copy = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_30_copy = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_30_copy = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_30_copy = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_30_copy_1 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_30_copy_1 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_30_copy_1 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_30_copy_1 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_30_copy_1 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_30_copy_1 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_30_copy_1 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_30_copy_1 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_30_copy_2 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_30_copy_2 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_30_copy_2 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_30_copy_2 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_30_copy_2 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_30_copy_2 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_30_copy_2 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_30_copy_2 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_30_copy_3 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_30_copy_3 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_30_copy_3 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_30_copy_3 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_30_copy_3 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_30_copy_3 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_30_copy_3 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_30_copy_3 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_30_copy_4 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_30_copy_4 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_30_copy_4 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_30_copy_4 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_30_copy_4 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_30_copy_4 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_30_copy_4 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_30_copy_4 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_30_copy_5 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_30_copy_5 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_30_copy_5 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_30_copy_5 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_30_copy_5 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_30_copy_5 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_30_copy_5 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_30_copy_5 = new wxTextCtrl(notebook_1_WrapSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_6 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_6 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_6 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_6 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_6 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_6 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_6 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_6 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_copy = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_copy = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_copy = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_copy = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_copy = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_copy = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_copy = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_copy = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_7 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_7 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_7 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_7 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_7 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_7 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_7 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_7 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_8 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_8 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_8 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_8 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_8 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_8 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_8 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_8 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_9 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_9 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_9 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_9 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_9 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_9 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_9 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_9 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_10 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_10 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_10 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_10 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_10 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_10 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_10 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_10 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_11 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_11 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_11 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_11 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_11 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_11 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_11 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_11 = new wxTextCtrl(notebook_1_StaticBoxSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_12 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_12 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_12 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_12 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_12 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_12 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_12 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_12 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_copy_copy = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_copy_copy = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_copy_copy = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_copy_copy = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_copy_copy = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_copy_copy = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_copy_copy = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_copy_copy = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_13 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_13 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_13 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_13 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_13 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_13 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_13 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_13 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_14 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_14 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_14 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_14 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_14 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_14 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_14 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_14 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_15 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_15 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_15 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_15 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_15 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_15 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_15 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_15 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_16 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_16 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_16 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_16 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_16 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_16 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_16 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_16 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_17 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_17 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_17 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_17 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_17 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_17 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_17 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_17 = new wxTextCtrl(notebook_1_GridSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_18 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_18 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_18 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_18 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_18 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_18 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_18 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_18 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_copy_copy_copy = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_copy_copy_copy = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_copy_copy_copy = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_copy_copy_copy = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_copy_copy_copy = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_copy_copy_copy = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_copy_copy_copy = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_copy_copy_copy = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_19 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_19 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_19 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_19 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_19 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_19 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_19 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_19 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_20 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_20 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_20 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_20 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_20 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_20 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_20 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_20 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_21 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_21 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_21 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_21 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_21 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_21 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_21 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_21 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_22 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_22 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_22 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_22 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_22 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_22 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_22 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_22 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_23 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_23 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_23 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_23 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_23 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_23 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_23 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_23 = new wxTextCtrl(notebook_1_FlexGridSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_24 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_24 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_24 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_24 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_24 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_24 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_24 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_24 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_copy_copy_copy_copy = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_copy_copy_copy_copy = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_copy_copy_copy_copy = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_copy_copy_copy_copy = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_copy_copy_copy_copy = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_copy_copy_copy_copy = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_copy_copy_copy_copy = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_copy_copy_copy_copy = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_25 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_25 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_25 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_25 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_25 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_25 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_25 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_25 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_26 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_26 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_26 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_26 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_26 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_26 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_26 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_26 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_27 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_27 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_27 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_27 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_27 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_27 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_27 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_27 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_28 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_28 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_28 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_28 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_28 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_28 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_28 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_28 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_N_N_copy_29 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_N_N_copy_29 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_X_N_copy_29 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_X_N_copy_29 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_N_F_copy_29 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_N_F_copy_29 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_X_F_copy_29 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _1_X_F_copy_29 = new wxTextCtrl(notebook_1_GridBagSizer, wxID_ANY, wxEmptyString);
    _0_N_N_border_10_none = new wxTextCtrl(notebook_1_BorderTest, wxID_ANY, wxEmptyString);
    _1_N_N_border_0_all = new wxTextCtrl(notebook_1_BorderTest, wxID_ANY, wxEmptyString);
    _0_X_N_border_5_LEFTRIGHT = new wxTextCtrl(notebook_1_BorderTest, wxID_ANY, wxEmptyString);
    _1_X_N_border_15_BOTTOM = new wxTextCtrl(notebook_1_BorderTest, wxID_ANY, wxEmptyString);
    _0_N_N_copy_copy_1 = new wxTextCtrl(notebook_1_BorderTest, wxID_ANY, wxEmptyString);
    _0_N_N_copy_31 = new wxTextCtrl(notebook_1_BorderTest, wxID_ANY, wxEmptyString);
    _0_N_N_copy_32 = new wxTextCtrl(notebook_1_BorderTest, wxID_ANY, wxEmptyString);
    button_1 = new wxButton(notebook_1_GridBagSizer_Spacers, wxID_ANY, _("button_1"));

    set_properties();
    do_layout();
    // end wxGlade
}


void MyFrame::set_properties()
{
    // begin wxGlade: MyFrame::set_properties
    SetTitle(_("frame"));
    _0_N_N_copy->SetMinSize(wxSize(100, 21));
    _1_N_N_copy->SetMinSize(wxSize(100, 21));
    _0_X_N_copy->SetMinSize(wxSize(100, 21));
    _1_X_N_copy->SetMinSize(wxSize(100, 21));
    _0_N_F_copy->SetMinSize(wxSize(100, 21));
    _1_N_F_copy->SetMinSize(wxSize(100, 21));
    _0_X_F_copy->SetMinSize(wxSize(100, 21));
    _1_X_F_copy->SetMinSize(wxSize(100, 21));
    _0_N_N_copy_1->SetMinSize(wxDLG_UNIT(_0_N_N_copy_1, wxSize(100, 21)));
    _1_N_N_copy_1->SetMinSize(wxDLG_UNIT(_1_N_N_copy_1, wxSize(100, 21)));
    _0_X_N_copy_1->SetMinSize(wxDLG_UNIT(_0_X_N_copy_1, wxSize(100, 21)));
    _1_X_N_copy_1->SetMinSize(wxDLG_UNIT(_1_X_N_copy_1, wxSize(100, 21)));
    _0_N_F_copy_1->SetMinSize(wxDLG_UNIT(_0_N_F_copy_1, wxSize(100, 21)));
    _1_N_F_copy_1->SetMinSize(wxDLG_UNIT(_1_N_F_copy_1, wxSize(100, 21)));
    _0_X_F_copy_1->SetMinSize(wxDLG_UNIT(_0_X_F_copy_1, wxSize(100, 21)));
    _1_X_F_copy_1->SetMinSize(wxDLG_UNIT(_1_X_F_copy_1, wxSize(100, 21)));
    _0_N_N_copy_2->SetMinSize(wxSize(-1, 21));
    _1_N_N_copy_2->SetMinSize(wxSize(-1, 21));
    _0_X_N_copy_2->SetMinSize(wxSize(-1, 21));
    _1_X_N_copy_2->SetMinSize(wxSize(-1, 21));
    _0_N_F_copy_2->SetMinSize(wxSize(-1, 21));
    _1_N_F_copy_2->SetMinSize(wxSize(-1, 21));
    _0_X_F_copy_2->SetMinSize(wxSize(-1, 21));
    _1_X_F_copy_2->SetMinSize(wxSize(-1, 21));
    _0_N_N_copy_3->SetMinSize(wxSize(100, -1));
    _1_N_N_copy_3->SetMinSize(wxSize(100, -1));
    _0_X_N_copy_3->SetMinSize(wxSize(100, -1));
    _1_X_N_copy_3->SetMinSize(wxSize(100, -1));
    _0_N_F_copy_3->SetMinSize(wxSize(100, -1));
    _1_N_F_copy_3->SetMinSize(wxSize(100, -1));
    _0_X_F_copy_3->SetMinSize(wxSize(100, -1));
    _1_X_F_copy_3->SetMinSize(wxSize(100, -1));
    _0_N_N_copy_4->SetMinSize(wxDLG_UNIT(_0_N_N_copy_4, wxSize(-1, 100)));
    _1_N_N_copy_4->SetMinSize(wxDLG_UNIT(_1_N_N_copy_4, wxSize(-1, 100)));
    _0_X_N_copy_4->SetMinSize(wxDLG_UNIT(_0_X_N_copy_4, wxSize(-1, 100)));
    _1_X_N_copy_4->SetMinSize(wxDLG_UNIT(_1_X_N_copy_4, wxSize(-1, 100)));
    _0_N_F_copy_4->SetMinSize(wxDLG_UNIT(_0_N_F_copy_4, wxSize(-1, 100)));
    _1_N_F_copy_4->SetMinSize(wxDLG_UNIT(_1_N_F_copy_4, wxSize(-1, 100)));
    _0_N_N_copy_5->SetMinSize(wxDLG_UNIT(_0_N_N_copy_5, wxSize(100, -1)));
    _1_N_N_copy_5->SetMinSize(wxDLG_UNIT(_1_N_N_copy_5, wxSize(100, -1)));
    _0_X_N_copy_5->SetMinSize(wxDLG_UNIT(_0_X_N_copy_5, wxSize(100, -1)));
    _1_X_N_copy_5->SetMinSize(wxDLG_UNIT(_1_X_N_copy_5, wxSize(100, -1)));
    _0_N_F_copy_5->SetMinSize(wxDLG_UNIT(_0_N_F_copy_5, wxSize(100, -1)));
    _1_N_F_copy_5->SetMinSize(wxDLG_UNIT(_1_N_F_copy_5, wxSize(100, -1)));
    _0_X_F_copy_5->SetMinSize(wxDLG_UNIT(_0_X_F_copy_5, wxSize(100, -1)));
    _1_X_F_copy_5->SetMinSize(wxDLG_UNIT(_1_X_F_copy_5, wxSize(100, -1)));
    _0_N_N_copy_30_copy->SetMinSize(wxSize(100, 21));
    _1_N_N_copy_30_copy->SetMinSize(wxSize(100, 21));
    _0_X_N_copy_30_copy->SetMinSize(wxSize(100, 21));
    _1_X_N_copy_30_copy->SetMinSize(wxSize(100, 21));
    _0_N_F_copy_30_copy->SetMinSize(wxSize(100, 21));
    _1_N_F_copy_30_copy->SetMinSize(wxSize(100, 21));
    _0_X_F_copy_30_copy->SetMinSize(wxSize(100, 21));
    _1_X_F_copy_30_copy->SetMinSize(wxSize(100, 21));
    _0_N_N_copy_30_copy_1->SetMinSize(wxDLG_UNIT(_0_N_N_copy_30_copy_1, wxSize(100, 21)));
    _1_N_N_copy_30_copy_1->SetMinSize(wxDLG_UNIT(_1_N_N_copy_30_copy_1, wxSize(100, 21)));
    _0_X_N_copy_30_copy_1->SetMinSize(wxDLG_UNIT(_0_X_N_copy_30_copy_1, wxSize(100, 21)));
    _1_X_N_copy_30_copy_1->SetMinSize(wxDLG_UNIT(_1_X_N_copy_30_copy_1, wxSize(100, 21)));
    _0_N_F_copy_30_copy_1->SetMinSize(wxDLG_UNIT(_0_N_F_copy_30_copy_1, wxSize(100, 21)));
    _1_N_F_copy_30_copy_1->SetMinSize(wxDLG_UNIT(_1_N_F_copy_30_copy_1, wxSize(100, 21)));
    _0_X_F_copy_30_copy_1->SetMinSize(wxDLG_UNIT(_0_X_F_copy_30_copy_1, wxSize(100, 21)));
    _1_X_F_copy_30_copy_1->SetMinSize(wxDLG_UNIT(_1_X_F_copy_30_copy_1, wxSize(100, 21)));
    _0_N_N_copy_30_copy_2->SetMinSize(wxSize(-1, 21));
    _1_N_N_copy_30_copy_2->SetMinSize(wxSize(-1, 21));
    _0_X_N_copy_30_copy_2->SetMinSize(wxSize(-1, 21));
    _1_X_N_copy_30_copy_2->SetMinSize(wxSize(-1, 21));
    _0_N_F_copy_30_copy_2->SetMinSize(wxSize(-1, 21));
    _1_N_F_copy_30_copy_2->SetMinSize(wxSize(-1, 21));
    _0_X_F_copy_30_copy_2->SetMinSize(wxSize(-1, 21));
    _1_X_F_copy_30_copy_2->SetMinSize(wxSize(-1, 21));
    _0_N_N_copy_30_copy_3->SetMinSize(wxSize(100, -1));
    _1_N_N_copy_30_copy_3->SetMinSize(wxSize(100, -1));
    _0_X_N_copy_30_copy_3->SetMinSize(wxSize(100, -1));
    _1_X_N_copy_30_copy_3->SetMinSize(wxSize(100, -1));
    _0_N_F_copy_30_copy_3->SetMinSize(wxSize(100, -1));
    _1_N_F_copy_30_copy_3->SetMinSize(wxSize(100, -1));
    _0_X_F_copy_30_copy_3->SetMinSize(wxSize(100, -1));
    _1_X_F_copy_30_copy_3->SetMinSize(wxSize(100, -1));
    _0_N_N_copy_30_copy_4->SetMinSize(wxDLG_UNIT(_0_N_N_copy_30_copy_4, wxSize(-1, 100)));
    _1_N_N_copy_30_copy_4->SetMinSize(wxDLG_UNIT(_1_N_N_copy_30_copy_4, wxSize(-1, 100)));
    _0_X_N_copy_30_copy_4->SetMinSize(wxDLG_UNIT(_0_X_N_copy_30_copy_4, wxSize(-1, 100)));
    _1_X_N_copy_30_copy_4->SetMinSize(wxDLG_UNIT(_1_X_N_copy_30_copy_4, wxSize(-1, 100)));
    _0_N_F_copy_30_copy_4->SetMinSize(wxDLG_UNIT(_0_N_F_copy_30_copy_4, wxSize(-1, 100)));
    _1_N_F_copy_30_copy_4->SetMinSize(wxDLG_UNIT(_1_N_F_copy_30_copy_4, wxSize(-1, 100)));
    _0_N_N_copy_30_copy_5->SetMinSize(wxDLG_UNIT(_0_N_N_copy_30_copy_5, wxSize(100, -1)));
    _1_N_N_copy_30_copy_5->SetMinSize(wxDLG_UNIT(_1_N_N_copy_30_copy_5, wxSize(100, -1)));
    _0_X_N_copy_30_copy_5->SetMinSize(wxDLG_UNIT(_0_X_N_copy_30_copy_5, wxSize(100, -1)));
    _1_X_N_copy_30_copy_5->SetMinSize(wxDLG_UNIT(_1_X_N_copy_30_copy_5, wxSize(100, -1)));
    _0_N_F_copy_30_copy_5->SetMinSize(wxDLG_UNIT(_0_N_F_copy_30_copy_5, wxSize(100, -1)));
    _1_N_F_copy_30_copy_5->SetMinSize(wxDLG_UNIT(_1_N_F_copy_30_copy_5, wxSize(100, -1)));
    _0_X_F_copy_30_copy_5->SetMinSize(wxDLG_UNIT(_0_X_F_copy_30_copy_5, wxSize(100, -1)));
    _1_X_F_copy_30_copy_5->SetMinSize(wxDLG_UNIT(_1_X_F_copy_30_copy_5, wxSize(100, -1)));
    _0_N_N_copy_copy->SetMinSize(wxSize(100, 21));
    _1_N_N_copy_copy->SetMinSize(wxSize(100, 21));
    _0_X_N_copy_copy->SetMinSize(wxSize(100, 21));
    _1_X_N_copy_copy->SetMinSize(wxSize(100, 21));
    _0_N_F_copy_copy->SetMinSize(wxSize(100, 21));
    _1_N_F_copy_copy->SetMinSize(wxSize(100, 21));
    _0_X_F_copy_copy->SetMinSize(wxSize(100, 21));
    _1_X_F_copy_copy->SetMinSize(wxSize(100, 21));
    _0_N_N_copy_7->SetMinSize(wxDLG_UNIT(_0_N_N_copy_7, wxSize(100, 21)));
    _1_N_N_copy_7->SetMinSize(wxDLG_UNIT(_1_N_N_copy_7, wxSize(100, 21)));
    _0_X_N_copy_7->SetMinSize(wxDLG_UNIT(_0_X_N_copy_7, wxSize(100, 21)));
    _1_X_N_copy_7->SetMinSize(wxDLG_UNIT(_1_X_N_copy_7, wxSize(100, 21)));
    _0_N_F_copy_7->SetMinSize(wxDLG_UNIT(_0_N_F_copy_7, wxSize(100, 21)));
    _1_N_F_copy_7->SetMinSize(wxDLG_UNIT(_1_N_F_copy_7, wxSize(100, 21)));
    _0_X_F_copy_7->SetMinSize(wxDLG_UNIT(_0_X_F_copy_7, wxSize(100, 21)));
    _1_X_F_copy_7->SetMinSize(wxDLG_UNIT(_1_X_F_copy_7, wxSize(100, 21)));
    _0_N_N_copy_8->SetMinSize(wxSize(-1, 21));
    _1_N_N_copy_8->SetMinSize(wxSize(-1, 21));
    _0_X_N_copy_8->SetMinSize(wxSize(-1, 21));
    _1_X_N_copy_8->SetMinSize(wxSize(-1, 21));
    _0_N_F_copy_8->SetMinSize(wxSize(-1, 21));
    _1_N_F_copy_8->SetMinSize(wxSize(-1, 21));
    _0_X_F_copy_8->SetMinSize(wxSize(-1, 21));
    _1_X_F_copy_8->SetMinSize(wxSize(-1, 21));
    _0_N_N_copy_9->SetMinSize(wxSize(100, -1));
    _1_N_N_copy_9->SetMinSize(wxSize(100, -1));
    _0_X_N_copy_9->SetMinSize(wxSize(100, -1));
    _1_X_N_copy_9->SetMinSize(wxSize(100, -1));
    _0_N_F_copy_9->SetMinSize(wxSize(100, -1));
    _1_N_F_copy_9->SetMinSize(wxSize(100, -1));
    _0_X_F_copy_9->SetMinSize(wxSize(100, -1));
    _1_X_F_copy_9->SetMinSize(wxSize(100, -1));
    _0_N_N_copy_10->SetMinSize(wxDLG_UNIT(_0_N_N_copy_10, wxSize(-1, 100)));
    _1_N_N_copy_10->SetMinSize(wxDLG_UNIT(_1_N_N_copy_10, wxSize(-1, 100)));
    _0_X_N_copy_10->SetMinSize(wxDLG_UNIT(_0_X_N_copy_10, wxSize(-1, 100)));
    _1_X_N_copy_10->SetMinSize(wxDLG_UNIT(_1_X_N_copy_10, wxSize(-1, 100)));
    _0_N_F_copy_10->SetMinSize(wxDLG_UNIT(_0_N_F_copy_10, wxSize(-1, 100)));
    _1_N_F_copy_10->SetMinSize(wxDLG_UNIT(_1_N_F_copy_10, wxSize(-1, 100)));
    _0_N_N_copy_11->SetMinSize(wxDLG_UNIT(_0_N_N_copy_11, wxSize(100, -1)));
    _1_N_N_copy_11->SetMinSize(wxDLG_UNIT(_1_N_N_copy_11, wxSize(100, -1)));
    _0_X_N_copy_11->SetMinSize(wxDLG_UNIT(_0_X_N_copy_11, wxSize(100, -1)));
    _1_X_N_copy_11->SetMinSize(wxDLG_UNIT(_1_X_N_copy_11, wxSize(100, -1)));
    _0_N_F_copy_11->SetMinSize(wxDLG_UNIT(_0_N_F_copy_11, wxSize(100, -1)));
    _1_N_F_copy_11->SetMinSize(wxDLG_UNIT(_1_N_F_copy_11, wxSize(100, -1)));
    _0_X_F_copy_11->SetMinSize(wxDLG_UNIT(_0_X_F_copy_11, wxSize(100, -1)));
    _1_X_F_copy_11->SetMinSize(wxDLG_UNIT(_1_X_F_copy_11, wxSize(100, -1)));
    _0_N_N_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _1_N_N_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _0_X_N_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _1_X_N_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _0_N_F_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _1_N_F_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _0_X_F_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _1_X_F_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _0_N_N_copy_13->SetMinSize(wxDLG_UNIT(_0_N_N_copy_13, wxSize(100, 21)));
    _1_N_N_copy_13->SetMinSize(wxDLG_UNIT(_1_N_N_copy_13, wxSize(100, 21)));
    _0_X_N_copy_13->SetMinSize(wxDLG_UNIT(_0_X_N_copy_13, wxSize(100, 21)));
    _1_X_N_copy_13->SetMinSize(wxDLG_UNIT(_1_X_N_copy_13, wxSize(100, 21)));
    _0_N_F_copy_13->SetMinSize(wxDLG_UNIT(_0_N_F_copy_13, wxSize(100, 21)));
    _1_N_F_copy_13->SetMinSize(wxDLG_UNIT(_1_N_F_copy_13, wxSize(100, 21)));
    _0_X_F_copy_13->SetMinSize(wxDLG_UNIT(_0_X_F_copy_13, wxSize(100, 21)));
    _1_X_F_copy_13->SetMinSize(wxDLG_UNIT(_1_X_F_copy_13, wxSize(100, 21)));
    _0_N_N_copy_14->SetMinSize(wxSize(-1, 21));
    _1_N_N_copy_14->SetMinSize(wxSize(-1, 21));
    _0_X_N_copy_14->SetMinSize(wxSize(-1, 21));
    _1_X_N_copy_14->SetMinSize(wxSize(-1, 21));
    _0_N_F_copy_14->SetMinSize(wxSize(-1, 21));
    _1_N_F_copy_14->SetMinSize(wxSize(-1, 21));
    _0_X_F_copy_14->SetMinSize(wxSize(-1, 21));
    _1_X_F_copy_14->SetMinSize(wxSize(-1, 21));
    _0_N_N_copy_15->SetMinSize(wxSize(100, -1));
    _1_N_N_copy_15->SetMinSize(wxSize(100, -1));
    _0_X_N_copy_15->SetMinSize(wxSize(100, -1));
    _1_X_N_copy_15->SetMinSize(wxSize(100, -1));
    _0_N_F_copy_15->SetMinSize(wxSize(100, -1));
    _1_N_F_copy_15->SetMinSize(wxSize(100, -1));
    _0_X_F_copy_15->SetMinSize(wxSize(100, -1));
    _1_X_F_copy_15->SetMinSize(wxSize(100, -1));
    _0_N_N_copy_16->SetMinSize(wxDLG_UNIT(_0_N_N_copy_16, wxSize(-1, 100)));
    _1_N_N_copy_16->SetMinSize(wxDLG_UNIT(_1_N_N_copy_16, wxSize(-1, 100)));
    _0_X_N_copy_16->SetMinSize(wxDLG_UNIT(_0_X_N_copy_16, wxSize(-1, 100)));
    _1_X_N_copy_16->SetMinSize(wxDLG_UNIT(_1_X_N_copy_16, wxSize(-1, 100)));
    _0_N_F_copy_16->SetMinSize(wxDLG_UNIT(_0_N_F_copy_16, wxSize(-1, 100)));
    _1_N_F_copy_16->SetMinSize(wxDLG_UNIT(_1_N_F_copy_16, wxSize(-1, 100)));
    _0_N_N_copy_17->SetMinSize(wxDLG_UNIT(_0_N_N_copy_17, wxSize(100, -1)));
    _1_N_N_copy_17->SetMinSize(wxDLG_UNIT(_1_N_N_copy_17, wxSize(100, -1)));
    _0_X_N_copy_17->SetMinSize(wxDLG_UNIT(_0_X_N_copy_17, wxSize(100, -1)));
    _1_X_N_copy_17->SetMinSize(wxDLG_UNIT(_1_X_N_copy_17, wxSize(100, -1)));
    _0_N_F_copy_17->SetMinSize(wxDLG_UNIT(_0_N_F_copy_17, wxSize(100, -1)));
    _1_N_F_copy_17->SetMinSize(wxDLG_UNIT(_1_N_F_copy_17, wxSize(100, -1)));
    _0_X_F_copy_17->SetMinSize(wxDLG_UNIT(_0_X_F_copy_17, wxSize(100, -1)));
    _1_X_F_copy_17->SetMinSize(wxDLG_UNIT(_1_X_F_copy_17, wxSize(100, -1)));
    _0_N_N_copy_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _1_N_N_copy_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _0_X_N_copy_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _1_X_N_copy_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _0_N_F_copy_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _1_N_F_copy_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _0_X_F_copy_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _1_X_F_copy_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _0_N_N_copy_19->SetMinSize(wxDLG_UNIT(_0_N_N_copy_19, wxSize(100, 21)));
    _1_N_N_copy_19->SetMinSize(wxDLG_UNIT(_1_N_N_copy_19, wxSize(100, 21)));
    _0_X_N_copy_19->SetMinSize(wxDLG_UNIT(_0_X_N_copy_19, wxSize(100, 21)));
    _1_X_N_copy_19->SetMinSize(wxDLG_UNIT(_1_X_N_copy_19, wxSize(100, 21)));
    _0_N_F_copy_19->SetMinSize(wxDLG_UNIT(_0_N_F_copy_19, wxSize(100, 21)));
    _1_N_F_copy_19->SetMinSize(wxDLG_UNIT(_1_N_F_copy_19, wxSize(100, 21)));
    _0_X_F_copy_19->SetMinSize(wxDLG_UNIT(_0_X_F_copy_19, wxSize(100, 21)));
    _1_X_F_copy_19->SetMinSize(wxDLG_UNIT(_1_X_F_copy_19, wxSize(100, 21)));
    _0_N_N_copy_20->SetMinSize(wxSize(-1, 21));
    _1_N_N_copy_20->SetMinSize(wxSize(-1, 21));
    _0_X_N_copy_20->SetMinSize(wxSize(-1, 21));
    _1_X_N_copy_20->SetMinSize(wxSize(-1, 21));
    _0_N_F_copy_20->SetMinSize(wxSize(-1, 21));
    _1_N_F_copy_20->SetMinSize(wxSize(-1, 21));
    _0_X_F_copy_20->SetMinSize(wxSize(-1, 21));
    _1_X_F_copy_20->SetMinSize(wxSize(-1, 21));
    _0_N_N_copy_21->SetMinSize(wxSize(100, -1));
    _1_N_N_copy_21->SetMinSize(wxSize(100, -1));
    _0_X_N_copy_21->SetMinSize(wxSize(100, -1));
    _1_X_N_copy_21->SetMinSize(wxSize(100, -1));
    _0_N_F_copy_21->SetMinSize(wxSize(100, -1));
    _1_N_F_copy_21->SetMinSize(wxSize(100, -1));
    _0_X_F_copy_21->SetMinSize(wxSize(100, -1));
    _1_X_F_copy_21->SetMinSize(wxSize(100, -1));
    _0_N_N_copy_22->SetMinSize(wxDLG_UNIT(_0_N_N_copy_22, wxSize(-1, 100)));
    _1_N_N_copy_22->SetMinSize(wxDLG_UNIT(_1_N_N_copy_22, wxSize(-1, 100)));
    _0_X_N_copy_22->SetMinSize(wxDLG_UNIT(_0_X_N_copy_22, wxSize(-1, 100)));
    _1_X_N_copy_22->SetMinSize(wxDLG_UNIT(_1_X_N_copy_22, wxSize(-1, 100)));
    _0_N_F_copy_22->SetMinSize(wxDLG_UNIT(_0_N_F_copy_22, wxSize(-1, 100)));
    _1_N_F_copy_22->SetMinSize(wxDLG_UNIT(_1_N_F_copy_22, wxSize(-1, 100)));
    _0_N_N_copy_23->SetMinSize(wxDLG_UNIT(_0_N_N_copy_23, wxSize(100, -1)));
    _1_N_N_copy_23->SetMinSize(wxDLG_UNIT(_1_N_N_copy_23, wxSize(100, -1)));
    _0_X_N_copy_23->SetMinSize(wxDLG_UNIT(_0_X_N_copy_23, wxSize(100, -1)));
    _1_X_N_copy_23->SetMinSize(wxDLG_UNIT(_1_X_N_copy_23, wxSize(100, -1)));
    _0_N_F_copy_23->SetMinSize(wxDLG_UNIT(_0_N_F_copy_23, wxSize(100, -1)));
    _1_N_F_copy_23->SetMinSize(wxDLG_UNIT(_1_N_F_copy_23, wxSize(100, -1)));
    _0_X_F_copy_23->SetMinSize(wxDLG_UNIT(_0_X_F_copy_23, wxSize(100, -1)));
    _1_X_F_copy_23->SetMinSize(wxDLG_UNIT(_1_X_F_copy_23, wxSize(100, -1)));
    _0_N_N_copy_copy_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _1_N_N_copy_copy_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _0_X_N_copy_copy_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _1_X_N_copy_copy_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _0_N_F_copy_copy_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _1_N_F_copy_copy_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _0_X_F_copy_copy_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _1_X_F_copy_copy_copy_copy_copy->SetMinSize(wxSize(100, 21));
    _0_N_N_copy_25->SetMinSize(wxDLG_UNIT(_0_N_N_copy_25, wxSize(100, 21)));
    _1_N_N_copy_25->SetMinSize(wxDLG_UNIT(_1_N_N_copy_25, wxSize(100, 21)));
    _0_X_N_copy_25->SetMinSize(wxDLG_UNIT(_0_X_N_copy_25, wxSize(100, 21)));
    _1_X_N_copy_25->SetMinSize(wxDLG_UNIT(_1_X_N_copy_25, wxSize(100, 21)));
    _0_N_F_copy_25->SetMinSize(wxDLG_UNIT(_0_N_F_copy_25, wxSize(100, 21)));
    _1_N_F_copy_25->SetMinSize(wxDLG_UNIT(_1_N_F_copy_25, wxSize(100, 21)));
    _0_X_F_copy_25->SetMinSize(wxDLG_UNIT(_0_X_F_copy_25, wxSize(100, 21)));
    _1_X_F_copy_25->SetMinSize(wxDLG_UNIT(_1_X_F_copy_25, wxSize(100, 21)));
    _0_N_N_copy_26->SetMinSize(wxSize(-1, 21));
    _1_N_N_copy_26->SetMinSize(wxSize(-1, 21));
    _0_X_N_copy_26->SetMinSize(wxSize(-1, 21));
    _1_X_N_copy_26->SetMinSize(wxSize(-1, 21));
    _0_N_F_copy_26->SetMinSize(wxSize(-1, 21));
    _1_N_F_copy_26->SetMinSize(wxSize(-1, 21));
    _0_X_F_copy_26->SetMinSize(wxSize(-1, 21));
    _1_X_F_copy_26->SetMinSize(wxSize(-1, 21));
    _0_N_N_copy_27->SetMinSize(wxSize(100, -1));
    _1_N_N_copy_27->SetMinSize(wxSize(100, -1));
    _0_X_N_copy_27->SetMinSize(wxSize(100, -1));
    _1_X_N_copy_27->SetMinSize(wxSize(100, -1));
    _0_N_F_copy_27->SetMinSize(wxSize(100, -1));
    _1_N_F_copy_27->SetMinSize(wxSize(100, -1));
    _0_X_F_copy_27->SetMinSize(wxSize(100, -1));
    _1_X_F_copy_27->SetMinSize(wxSize(100, -1));
    _0_N_N_copy_28->SetMinSize(wxDLG_UNIT(_0_N_N_copy_28, wxSize(-1, 100)));
    _1_N_N_copy_28->SetMinSize(wxDLG_UNIT(_1_N_N_copy_28, wxSize(-1, 100)));
    _0_X_N_copy_28->SetMinSize(wxDLG_UNIT(_0_X_N_copy_28, wxSize(-1, 100)));
    _1_X_N_copy_28->SetMinSize(wxDLG_UNIT(_1_X_N_copy_28, wxSize(-1, 100)));
    _0_N_F_copy_28->SetMinSize(wxDLG_UNIT(_0_N_F_copy_28, wxSize(-1, 100)));
    _1_N_F_copy_28->SetMinSize(wxDLG_UNIT(_1_N_F_copy_28, wxSize(-1, 100)));
    _0_N_N_copy_29->SetMinSize(wxDLG_UNIT(_0_N_N_copy_29, wxSize(100, -1)));
    _1_N_N_copy_29->SetMinSize(wxDLG_UNIT(_1_N_N_copy_29, wxSize(100, -1)));
    _0_X_N_copy_29->SetMinSize(wxDLG_UNIT(_0_X_N_copy_29, wxSize(100, -1)));
    _1_X_N_copy_29->SetMinSize(wxDLG_UNIT(_1_X_N_copy_29, wxSize(100, -1)));
    _0_N_F_copy_29->SetMinSize(wxDLG_UNIT(_0_N_F_copy_29, wxSize(100, -1)));
    _1_N_F_copy_29->SetMinSize(wxDLG_UNIT(_1_N_F_copy_29, wxSize(100, -1)));
    _0_X_F_copy_29->SetMinSize(wxDLG_UNIT(_0_X_F_copy_29, wxSize(100, -1)));
    _1_X_F_copy_29->SetMinSize(wxDLG_UNIT(_1_X_F_copy_29, wxSize(100, -1)));
    _0_N_N_copy_copy_1->SetMinSize(wxSize(100, 21));
    _0_N_N_copy_31->SetMinSize(wxDLG_UNIT(_0_N_N_copy_31, wxSize(100, 21)));
    _0_N_N_copy_32->SetMinSize(wxSize(-1, 21));
    // end wxGlade
}


void MyFrame::do_layout()
{
    // begin wxGlade: MyFrame::do_layout
    wxBoxSizer* sizer_1 = new wxBoxSizer(wxVERTICAL);
    wxGridBagSizer* grid_sizer_1 = new wxGridBagSizer(0, 0);
    wxBoxSizer* sizer_7 = new wxBoxSizer(wxHORIZONTAL);
    wxBoxSizer* sizer_border_15_BOTTOM = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer* sizer_border_5_LEFTRIGHT = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer* sizer_border_0_ALL = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer* sizer_border_10_none = new wxBoxSizer(wxVERTICAL);
    wxGridBagSizer* sizer_6 = new wxGridBagSizer(1, 1);
    wxFlexGridSizer* sizer_5 = new wxFlexGridSizer(7, 8, 1, 1);
    wxGridSizer* sizer_4 = new wxGridSizer(7, 8, 0, 0);
    wxBoxSizer* sizer_3 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticBoxSizer* sizer_6_dlgm1_copy = new wxStaticBoxSizer(new wxStaticBox(notebook_1_StaticBoxSizer, wxID_ANY, _("sizer_6_dlgm1_copy")), wxVERTICAL);
    wxStaticBoxSizer* sizer_6_m1dlg_copy = new wxStaticBoxSizer(new wxStaticBox(notebook_1_StaticBoxSizer, wxID_ANY, _("sizer_6_m1dlg_copy")), wxVERTICAL);
    wxStaticBoxSizer* sizer_6_absm1_copy = new wxStaticBoxSizer(new wxStaticBox(notebook_1_StaticBoxSizer, wxID_ANY, _("sizer_6_absm1_copy")), wxVERTICAL);
    wxStaticBoxSizer* sizer_6_m1abs_copy = new wxStaticBoxSizer(new wxStaticBox(notebook_1_StaticBoxSizer, wxID_ANY, _("sizer_6_m1abs_copy")), wxVERTICAL);
    wxStaticBoxSizer* sizer_5_dlg_copy = new wxStaticBoxSizer(new wxStaticBox(notebook_1_StaticBoxSizer, wxID_ANY, _("sizer_5_dlg_copy")), wxVERTICAL);
    wxStaticBoxSizer* sizer_4_abs_copy = new wxStaticBoxSizer(new wxStaticBox(notebook_1_StaticBoxSizer, wxID_ANY, _("sizer_4_abs_copy")), wxVERTICAL);
    wxStaticBoxSizer* sizer_3_nosize_copy = new wxStaticBoxSizer(new wxStaticBox(notebook_1_StaticBoxSizer, wxID_ANY, _("sizer_3_nosize_copy")), wxVERTICAL);
    wxBoxSizer* sizer_8 = new wxBoxSizer(wxHORIZONTAL);
    wxWrapSizer* sizer_6_dlgm1_copy_1 = new wxWrapSizer(wxHORIZONTAL);
    wxWrapSizer* sizer_6_m1dlg_copy_1 = new wxWrapSizer(wxHORIZONTAL);
    wxWrapSizer* sizer_6_absm1_copy_1 = new wxWrapSizer(wxHORIZONTAL);
    wxWrapSizer* sizer_6_m1abs_copy_1 = new wxWrapSizer(wxHORIZONTAL);
    wxWrapSizer* sizer_5_dlg_copy_1 = new wxWrapSizer(wxHORIZONTAL);
    wxWrapSizer* sizer_4_abs_copy_1 = new wxWrapSizer(wxHORIZONTAL);
    wxWrapSizer* sizer_3_nosize_copy_1 = new wxWrapSizer(wxHORIZONTAL);
    wxBoxSizer* sizer_2 = new wxBoxSizer(wxHORIZONTAL);
    wxBoxSizer* sizer_6_dlgm1 = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer* sizer_6_m1dlg = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer* sizer_6_absm1 = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer* sizer_6_m1abs = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer* sizer_5_dlg = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer* sizer_4_abs = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer* sizer_3_nosize = new wxBoxSizer(wxVERTICAL);
    sizer_3_nosize->Add(_0_N_N, 0, 0, 0);
    sizer_3_nosize->Add(_1_N_N, 1, 0, 0);
    sizer_3_nosize->Add(_0_X_N, 0, wxEXPAND, 0);
    sizer_3_nosize->Add(_1_X_N, 1, wxEXPAND, 0);
    sizer_3_nosize->Add(_0_N_F, 0, wxFIXED_MINSIZE, 0);
    sizer_3_nosize->Add(_1_N_F, 1, wxFIXED_MINSIZE, 0);
    sizer_3_nosize->Add(_0_X_F, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_3_nosize->Add(_1_X_F, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_2->Add(sizer_3_nosize, 1, wxEXPAND, 0);
    sizer_4_abs->Add(_0_N_N_copy, 0, 0, 0);
    sizer_4_abs->Add(_1_N_N_copy, 1, 0, 0);
    sizer_4_abs->Add(_0_X_N_copy, 0, wxEXPAND, 0);
    sizer_4_abs->Add(_1_X_N_copy, 1, wxEXPAND, 0);
    sizer_4_abs->Add(_0_N_F_copy, 0, wxFIXED_MINSIZE, 0);
    sizer_4_abs->Add(_1_N_F_copy, 1, wxFIXED_MINSIZE, 0);
    sizer_4_abs->Add(_0_X_F_copy, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_4_abs->Add(_1_X_F_copy, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_2->Add(sizer_4_abs, 1, wxEXPAND, 0);
    sizer_5_dlg->Add(_0_N_N_copy_1, 0, 0, 0);
    sizer_5_dlg->Add(_1_N_N_copy_1, 1, 0, 0);
    sizer_5_dlg->Add(_0_X_N_copy_1, 0, wxEXPAND, 0);
    sizer_5_dlg->Add(_1_X_N_copy_1, 1, wxEXPAND, 0);
    sizer_5_dlg->Add(_0_N_F_copy_1, 0, wxFIXED_MINSIZE, 0);
    sizer_5_dlg->Add(_1_N_F_copy_1, 1, wxFIXED_MINSIZE, 0);
    sizer_5_dlg->Add(_0_X_F_copy_1, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_5_dlg->Add(_1_X_F_copy_1, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_2->Add(sizer_5_dlg, 1, wxEXPAND, 0);
    sizer_6_m1abs->Add(_0_N_N_copy_2, 0, 0, 0);
    sizer_6_m1abs->Add(_1_N_N_copy_2, 1, 0, 0);
    sizer_6_m1abs->Add(_0_X_N_copy_2, 0, wxEXPAND, 0);
    sizer_6_m1abs->Add(_1_X_N_copy_2, 1, wxEXPAND, 0);
    sizer_6_m1abs->Add(_0_N_F_copy_2, 0, wxFIXED_MINSIZE, 0);
    sizer_6_m1abs->Add(_1_N_F_copy_2, 1, wxFIXED_MINSIZE, 0);
    sizer_6_m1abs->Add(_0_X_F_copy_2, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6_m1abs->Add(_1_X_F_copy_2, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_2->Add(sizer_6_m1abs, 1, wxEXPAND, 0);
    sizer_6_absm1->Add(_0_N_N_copy_3, 0, 0, 0);
    sizer_6_absm1->Add(_1_N_N_copy_3, 1, 0, 0);
    sizer_6_absm1->Add(_0_X_N_copy_3, 0, wxEXPAND, 0);
    sizer_6_absm1->Add(_1_X_N_copy_3, 1, wxEXPAND, 0);
    sizer_6_absm1->Add(_0_N_F_copy_3, 0, wxFIXED_MINSIZE, 0);
    sizer_6_absm1->Add(_1_N_F_copy_3, 1, wxFIXED_MINSIZE, 0);
    sizer_6_absm1->Add(_0_X_F_copy_3, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6_absm1->Add(_1_X_F_copy_3, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_2->Add(sizer_6_absm1, 1, wxEXPAND, 0);
    sizer_6_m1dlg->Add(_0_N_N_copy_4, 0, 0, 0);
    sizer_6_m1dlg->Add(_1_N_N_copy_4, 1, 0, 0);
    sizer_6_m1dlg->Add(_0_X_N_copy_4, 0, wxEXPAND, 0);
    sizer_6_m1dlg->Add(_1_X_N_copy_4, 1, wxEXPAND, 0);
    sizer_6_m1dlg->Add(_0_N_F_copy_4, 0, wxFIXED_MINSIZE, 0);
    sizer_6_m1dlg->Add(_1_N_F_copy_4, 1, wxFIXED_MINSIZE, 0);
    sizer_6_m1dlg->Add(_0_X_F_copy_4, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6_m1dlg->Add(_1_X_F_copy_4, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_2->Add(sizer_6_m1dlg, 1, wxEXPAND, 0);
    sizer_6_dlgm1->Add(_0_N_N_copy_5, 0, 0, 0);
    sizer_6_dlgm1->Add(_1_N_N_copy_5, 1, 0, 0);
    sizer_6_dlgm1->Add(_0_X_N_copy_5, 0, wxEXPAND, 0);
    sizer_6_dlgm1->Add(_1_X_N_copy_5, 1, wxEXPAND, 0);
    sizer_6_dlgm1->Add(_0_N_F_copy_5, 0, wxFIXED_MINSIZE, 0);
    sizer_6_dlgm1->Add(_1_N_F_copy_5, 1, wxFIXED_MINSIZE, 0);
    sizer_6_dlgm1->Add(_0_X_F_copy_5, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6_dlgm1->Add(_1_X_F_copy_5, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_2->Add(sizer_6_dlgm1, 1, wxEXPAND, 0);
    notebook_1_pane_1->SetSizer(sizer_2);
    sizer_3_nosize_copy_1->Add(_0_N_N_copy_30, 0, 0, 0);
    sizer_3_nosize_copy_1->Add(_1_N_N_copy_30, 1, 0, 0);
    sizer_3_nosize_copy_1->Add(_0_X_N_copy_30, 0, wxEXPAND, 0);
    sizer_3_nosize_copy_1->Add(_1_X_N_copy_30, 1, wxEXPAND, 0);
    sizer_3_nosize_copy_1->Add(_0_N_F_copy_30, 0, wxFIXED_MINSIZE, 0);
    sizer_3_nosize_copy_1->Add(_1_N_F_copy_30, 1, wxFIXED_MINSIZE, 0);
    sizer_3_nosize_copy_1->Add(_0_X_F_copy_30, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_3_nosize_copy_1->Add(_1_X_F_copy_30, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_8->Add(sizer_3_nosize_copy_1, 1, wxEXPAND, 0);
    sizer_4_abs_copy_1->Add(_0_N_N_copy_30_copy, 0, 0, 0);
    sizer_4_abs_copy_1->Add(_1_N_N_copy_30_copy, 1, 0, 0);
    sizer_4_abs_copy_1->Add(_0_X_N_copy_30_copy, 0, wxEXPAND, 0);
    sizer_4_abs_copy_1->Add(_1_X_N_copy_30_copy, 1, wxEXPAND, 0);
    sizer_4_abs_copy_1->Add(_0_N_F_copy_30_copy, 0, wxFIXED_MINSIZE, 0);
    sizer_4_abs_copy_1->Add(_1_N_F_copy_30_copy, 1, wxFIXED_MINSIZE, 0);
    sizer_4_abs_copy_1->Add(_0_X_F_copy_30_copy, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_4_abs_copy_1->Add(_1_X_F_copy_30_copy, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_8->Add(sizer_4_abs_copy_1, 1, wxEXPAND, 0);
    sizer_5_dlg_copy_1->Add(_0_N_N_copy_30_copy_1, 0, 0, 0);
    sizer_5_dlg_copy_1->Add(_1_N_N_copy_30_copy_1, 1, 0, 0);
    sizer_5_dlg_copy_1->Add(_0_X_N_copy_30_copy_1, 0, wxEXPAND, 0);
    sizer_5_dlg_copy_1->Add(_1_X_N_copy_30_copy_1, 1, wxEXPAND, 0);
    sizer_5_dlg_copy_1->Add(_0_N_F_copy_30_copy_1, 0, wxFIXED_MINSIZE, 0);
    sizer_5_dlg_copy_1->Add(_1_N_F_copy_30_copy_1, 1, wxFIXED_MINSIZE, 0);
    sizer_5_dlg_copy_1->Add(_0_X_F_copy_30_copy_1, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_5_dlg_copy_1->Add(_1_X_F_copy_30_copy_1, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_8->Add(sizer_5_dlg_copy_1, 1, wxEXPAND, 0);
    sizer_6_m1abs_copy_1->Add(_0_N_N_copy_30_copy_2, 0, 0, 0);
    sizer_6_m1abs_copy_1->Add(_1_N_N_copy_30_copy_2, 1, 0, 0);
    sizer_6_m1abs_copy_1->Add(_0_X_N_copy_30_copy_2, 0, wxEXPAND, 0);
    sizer_6_m1abs_copy_1->Add(_1_X_N_copy_30_copy_2, 1, wxEXPAND, 0);
    sizer_6_m1abs_copy_1->Add(_0_N_F_copy_30_copy_2, 0, wxFIXED_MINSIZE, 0);
    sizer_6_m1abs_copy_1->Add(_1_N_F_copy_30_copy_2, 1, wxFIXED_MINSIZE, 0);
    sizer_6_m1abs_copy_1->Add(_0_X_F_copy_30_copy_2, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6_m1abs_copy_1->Add(_1_X_F_copy_30_copy_2, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_8->Add(sizer_6_m1abs_copy_1, 1, wxEXPAND, 0);
    sizer_6_absm1_copy_1->Add(_0_N_N_copy_30_copy_3, 0, 0, 0);
    sizer_6_absm1_copy_1->Add(_1_N_N_copy_30_copy_3, 1, 0, 0);
    sizer_6_absm1_copy_1->Add(_0_X_N_copy_30_copy_3, 0, wxEXPAND, 0);
    sizer_6_absm1_copy_1->Add(_1_X_N_copy_30_copy_3, 1, wxEXPAND, 0);
    sizer_6_absm1_copy_1->Add(_0_N_F_copy_30_copy_3, 0, wxFIXED_MINSIZE, 0);
    sizer_6_absm1_copy_1->Add(_1_N_F_copy_30_copy_3, 1, wxFIXED_MINSIZE, 0);
    sizer_6_absm1_copy_1->Add(_0_X_F_copy_30_copy_3, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6_absm1_copy_1->Add(_1_X_F_copy_30_copy_3, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_8->Add(sizer_6_absm1_copy_1, 1, wxEXPAND, 0);
    sizer_6_m1dlg_copy_1->Add(_0_N_N_copy_30_copy_4, 0, 0, 0);
    sizer_6_m1dlg_copy_1->Add(_1_N_N_copy_30_copy_4, 1, 0, 0);
    sizer_6_m1dlg_copy_1->Add(_0_X_N_copy_30_copy_4, 0, wxEXPAND, 0);
    sizer_6_m1dlg_copy_1->Add(_1_X_N_copy_30_copy_4, 1, wxEXPAND, 0);
    sizer_6_m1dlg_copy_1->Add(_0_N_F_copy_30_copy_4, 0, wxFIXED_MINSIZE, 0);
    sizer_6_m1dlg_copy_1->Add(_1_N_F_copy_30_copy_4, 1, wxFIXED_MINSIZE, 0);
    sizer_6_m1dlg_copy_1->Add(_0_X_F_copy_30_copy_4, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6_m1dlg_copy_1->Add(_1_X_F_copy_30_copy_4, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_8->Add(sizer_6_m1dlg_copy_1, 1, wxEXPAND, 0);
    sizer_6_dlgm1_copy_1->Add(_0_N_N_copy_30_copy_5, 0, 0, 0);
    sizer_6_dlgm1_copy_1->Add(_1_N_N_copy_30_copy_5, 1, 0, 0);
    sizer_6_dlgm1_copy_1->Add(_0_X_N_copy_30_copy_5, 0, wxEXPAND, 0);
    sizer_6_dlgm1_copy_1->Add(_1_X_N_copy_30_copy_5, 1, wxEXPAND, 0);
    sizer_6_dlgm1_copy_1->Add(_0_N_F_copy_30_copy_5, 0, wxFIXED_MINSIZE, 0);
    sizer_6_dlgm1_copy_1->Add(_1_N_F_copy_30_copy_5, 1, wxFIXED_MINSIZE, 0);
    sizer_6_dlgm1_copy_1->Add(_0_X_F_copy_30_copy_5, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6_dlgm1_copy_1->Add(_1_X_F_copy_30_copy_5, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_8->Add(sizer_6_dlgm1_copy_1, 1, wxEXPAND, 0);
    notebook_1_WrapSizer->SetSizer(sizer_8);
    sizer_3_nosize_copy->Add(_0_N_N_copy_6, 0, 0, 0);
    sizer_3_nosize_copy->Add(_1_N_N_copy_6, 1, 0, 0);
    sizer_3_nosize_copy->Add(_0_X_N_copy_6, 0, wxEXPAND, 0);
    sizer_3_nosize_copy->Add(_1_X_N_copy_6, 1, wxEXPAND, 0);
    sizer_3_nosize_copy->Add(_0_N_F_copy_6, 0, wxFIXED_MINSIZE, 0);
    sizer_3_nosize_copy->Add(_1_N_F_copy_6, 1, wxFIXED_MINSIZE, 0);
    sizer_3_nosize_copy->Add(_0_X_F_copy_6, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_3_nosize_copy->Add(_1_X_F_copy_6, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_3->Add(sizer_3_nosize_copy, 1, wxEXPAND, 0);
    sizer_4_abs_copy->Add(_0_N_N_copy_copy, 0, 0, 0);
    sizer_4_abs_copy->Add(_1_N_N_copy_copy, 1, 0, 0);
    sizer_4_abs_copy->Add(_0_X_N_copy_copy, 0, wxEXPAND, 0);
    sizer_4_abs_copy->Add(_1_X_N_copy_copy, 1, wxEXPAND, 0);
    sizer_4_abs_copy->Add(_0_N_F_copy_copy, 0, wxFIXED_MINSIZE, 0);
    sizer_4_abs_copy->Add(_1_N_F_copy_copy, 1, wxFIXED_MINSIZE, 0);
    sizer_4_abs_copy->Add(_0_X_F_copy_copy, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_4_abs_copy->Add(_1_X_F_copy_copy, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_3->Add(sizer_4_abs_copy, 1, wxEXPAND, 0);
    sizer_5_dlg_copy->Add(_0_N_N_copy_7, 0, 0, 0);
    sizer_5_dlg_copy->Add(_1_N_N_copy_7, 1, 0, 0);
    sizer_5_dlg_copy->Add(_0_X_N_copy_7, 0, wxEXPAND, 0);
    sizer_5_dlg_copy->Add(_1_X_N_copy_7, 1, wxEXPAND, 0);
    sizer_5_dlg_copy->Add(_0_N_F_copy_7, 0, wxFIXED_MINSIZE, 0);
    sizer_5_dlg_copy->Add(_1_N_F_copy_7, 1, wxFIXED_MINSIZE, 0);
    sizer_5_dlg_copy->Add(_0_X_F_copy_7, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_5_dlg_copy->Add(_1_X_F_copy_7, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_3->Add(sizer_5_dlg_copy, 1, wxEXPAND, 0);
    sizer_6_m1abs_copy->Add(_0_N_N_copy_8, 0, 0, 0);
    sizer_6_m1abs_copy->Add(_1_N_N_copy_8, 1, 0, 0);
    sizer_6_m1abs_copy->Add(_0_X_N_copy_8, 0, wxEXPAND, 0);
    sizer_6_m1abs_copy->Add(_1_X_N_copy_8, 1, wxEXPAND, 0);
    sizer_6_m1abs_copy->Add(_0_N_F_copy_8, 0, wxFIXED_MINSIZE, 0);
    sizer_6_m1abs_copy->Add(_1_N_F_copy_8, 1, wxFIXED_MINSIZE, 0);
    sizer_6_m1abs_copy->Add(_0_X_F_copy_8, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6_m1abs_copy->Add(_1_X_F_copy_8, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_3->Add(sizer_6_m1abs_copy, 1, wxEXPAND, 0);
    sizer_6_absm1_copy->Add(_0_N_N_copy_9, 0, 0, 0);
    sizer_6_absm1_copy->Add(_1_N_N_copy_9, 1, 0, 0);
    sizer_6_absm1_copy->Add(_0_X_N_copy_9, 0, wxEXPAND, 0);
    sizer_6_absm1_copy->Add(_1_X_N_copy_9, 1, wxEXPAND, 0);
    sizer_6_absm1_copy->Add(_0_N_F_copy_9, 0, wxFIXED_MINSIZE, 0);
    sizer_6_absm1_copy->Add(_1_N_F_copy_9, 1, wxFIXED_MINSIZE, 0);
    sizer_6_absm1_copy->Add(_0_X_F_copy_9, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6_absm1_copy->Add(_1_X_F_copy_9, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_3->Add(sizer_6_absm1_copy, 1, wxEXPAND, 0);
    sizer_6_m1dlg_copy->Add(_0_N_N_copy_10, 0, 0, 0);
    sizer_6_m1dlg_copy->Add(_1_N_N_copy_10, 1, 0, 0);
    sizer_6_m1dlg_copy->Add(_0_X_N_copy_10, 0, wxEXPAND, 0);
    sizer_6_m1dlg_copy->Add(_1_X_N_copy_10, 1, wxEXPAND, 0);
    sizer_6_m1dlg_copy->Add(_0_N_F_copy_10, 0, wxFIXED_MINSIZE, 0);
    sizer_6_m1dlg_copy->Add(_1_N_F_copy_10, 1, wxFIXED_MINSIZE, 0);
    sizer_6_m1dlg_copy->Add(_0_X_F_copy_10, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6_m1dlg_copy->Add(_1_X_F_copy_10, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_3->Add(sizer_6_m1dlg_copy, 1, wxEXPAND, 0);
    sizer_6_dlgm1_copy->Add(_0_N_N_copy_11, 0, 0, 0);
    sizer_6_dlgm1_copy->Add(_1_N_N_copy_11, 1, 0, 0);
    sizer_6_dlgm1_copy->Add(_0_X_N_copy_11, 0, wxEXPAND, 0);
    sizer_6_dlgm1_copy->Add(_1_X_N_copy_11, 1, wxEXPAND, 0);
    sizer_6_dlgm1_copy->Add(_0_N_F_copy_11, 0, wxFIXED_MINSIZE, 0);
    sizer_6_dlgm1_copy->Add(_1_N_F_copy_11, 1, wxFIXED_MINSIZE, 0);
    sizer_6_dlgm1_copy->Add(_0_X_F_copy_11, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6_dlgm1_copy->Add(_1_X_F_copy_11, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_3->Add(sizer_6_dlgm1_copy, 1, wxEXPAND, 0);
    notebook_1_StaticBoxSizer->SetSizer(sizer_3);
    sizer_4->Add(_0_N_N_copy_12, 0, 0, 0);
    sizer_4->Add(_1_N_N_copy_12, 1, 0, 0);
    sizer_4->Add(_0_X_N_copy_12, 0, wxEXPAND, 0);
    sizer_4->Add(_1_X_N_copy_12, 1, wxEXPAND, 0);
    sizer_4->Add(_0_N_F_copy_12, 0, wxFIXED_MINSIZE, 0);
    sizer_4->Add(_1_N_F_copy_12, 1, wxFIXED_MINSIZE, 0);
    sizer_4->Add(_0_X_F_copy_12, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_4->Add(_1_X_F_copy_12, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_4->Add(_0_N_N_copy_copy_copy, 0, 0, 0);
    sizer_4->Add(_1_N_N_copy_copy_copy, 1, 0, 0);
    sizer_4->Add(_0_X_N_copy_copy_copy, 0, wxEXPAND, 0);
    sizer_4->Add(_1_X_N_copy_copy_copy, 1, wxEXPAND, 0);
    sizer_4->Add(_0_N_F_copy_copy_copy, 0, wxFIXED_MINSIZE, 0);
    sizer_4->Add(_1_N_F_copy_copy_copy, 1, wxFIXED_MINSIZE, 0);
    sizer_4->Add(_0_X_F_copy_copy_copy, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_4->Add(_1_X_F_copy_copy_copy, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_4->Add(_0_N_N_copy_13, 0, 0, 0);
    sizer_4->Add(_1_N_N_copy_13, 1, 0, 0);
    sizer_4->Add(_0_X_N_copy_13, 0, wxEXPAND, 0);
    sizer_4->Add(_1_X_N_copy_13, 1, wxEXPAND, 0);
    sizer_4->Add(_0_N_F_copy_13, 0, wxFIXED_MINSIZE, 0);
    sizer_4->Add(_1_N_F_copy_13, 1, wxFIXED_MINSIZE, 0);
    sizer_4->Add(_0_X_F_copy_13, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_4->Add(_1_X_F_copy_13, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_4->Add(_0_N_N_copy_14, 0, 0, 0);
    sizer_4->Add(_1_N_N_copy_14, 1, 0, 0);
    sizer_4->Add(_0_X_N_copy_14, 0, wxEXPAND, 0);
    sizer_4->Add(_1_X_N_copy_14, 1, wxEXPAND, 0);
    sizer_4->Add(_0_N_F_copy_14, 0, wxFIXED_MINSIZE, 0);
    sizer_4->Add(_1_N_F_copy_14, 1, wxFIXED_MINSIZE, 0);
    sizer_4->Add(_0_X_F_copy_14, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_4->Add(_1_X_F_copy_14, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_4->Add(_0_N_N_copy_15, 0, 0, 0);
    sizer_4->Add(_1_N_N_copy_15, 1, 0, 0);
    sizer_4->Add(_0_X_N_copy_15, 0, wxEXPAND, 0);
    sizer_4->Add(_1_X_N_copy_15, 1, wxEXPAND, 0);
    sizer_4->Add(_0_N_F_copy_15, 0, wxFIXED_MINSIZE, 0);
    sizer_4->Add(_1_N_F_copy_15, 1, wxFIXED_MINSIZE, 0);
    sizer_4->Add(_0_X_F_copy_15, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_4->Add(_1_X_F_copy_15, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_4->Add(_0_N_N_copy_16, 0, 0, 0);
    sizer_4->Add(_1_N_N_copy_16, 1, 0, 0);
    sizer_4->Add(_0_X_N_copy_16, 0, wxEXPAND, 0);
    sizer_4->Add(_1_X_N_copy_16, 1, wxEXPAND, 0);
    sizer_4->Add(_0_N_F_copy_16, 0, wxFIXED_MINSIZE, 0);
    sizer_4->Add(_1_N_F_copy_16, 1, wxFIXED_MINSIZE, 0);
    sizer_4->Add(_0_X_F_copy_16, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_4->Add(_1_X_F_copy_16, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_4->Add(_0_N_N_copy_17, 0, 0, 0);
    sizer_4->Add(_1_N_N_copy_17, 1, 0, 0);
    sizer_4->Add(_0_X_N_copy_17, 0, wxEXPAND, 0);
    sizer_4->Add(_1_X_N_copy_17, 1, wxEXPAND, 0);
    sizer_4->Add(_0_N_F_copy_17, 0, wxFIXED_MINSIZE, 0);
    sizer_4->Add(_1_N_F_copy_17, 1, wxFIXED_MINSIZE, 0);
    sizer_4->Add(_0_X_F_copy_17, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_4->Add(_1_X_F_copy_17, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    notebook_1_GridSizer->SetSizer(sizer_4);
    sizer_5->Add(_0_N_N_copy_18, 0, 0, 0);
    sizer_5->Add(_1_N_N_copy_18, 1, 0, 0);
    sizer_5->Add(_0_X_N_copy_18, 0, wxEXPAND, 0);
    sizer_5->Add(_1_X_N_copy_18, 1, wxEXPAND, 0);
    sizer_5->Add(_0_N_F_copy_18, 0, wxFIXED_MINSIZE, 0);
    sizer_5->Add(_1_N_F_copy_18, 1, wxFIXED_MINSIZE, 0);
    sizer_5->Add(_0_X_F_copy_18, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_5->Add(_1_X_F_copy_18, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_5->Add(_0_N_N_copy_copy_copy_copy, 0, 0, 0);
    sizer_5->Add(_1_N_N_copy_copy_copy_copy, 1, 0, 0);
    sizer_5->Add(_0_X_N_copy_copy_copy_copy, 0, wxEXPAND, 0);
    sizer_5->Add(_1_X_N_copy_copy_copy_copy, 1, wxEXPAND, 0);
    sizer_5->Add(_0_N_F_copy_copy_copy_copy, 0, wxFIXED_MINSIZE, 0);
    sizer_5->Add(_1_N_F_copy_copy_copy_copy, 1, wxFIXED_MINSIZE, 0);
    sizer_5->Add(_0_X_F_copy_copy_copy_copy, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_5->Add(_1_X_F_copy_copy_copy_copy, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_5->Add(_0_N_N_copy_19, 0, 0, 0);
    sizer_5->Add(_1_N_N_copy_19, 1, 0, 0);
    sizer_5->Add(_0_X_N_copy_19, 0, wxEXPAND, 0);
    sizer_5->Add(_1_X_N_copy_19, 1, wxEXPAND, 0);
    sizer_5->Add(_0_N_F_copy_19, 0, wxFIXED_MINSIZE, 0);
    sizer_5->Add(_1_N_F_copy_19, 1, wxFIXED_MINSIZE, 0);
    sizer_5->Add(_0_X_F_copy_19, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_5->Add(_1_X_F_copy_19, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_5->Add(_0_N_N_copy_20, 0, 0, 0);
    sizer_5->Add(_1_N_N_copy_20, 1, 0, 0);
    sizer_5->Add(_0_X_N_copy_20, 0, wxEXPAND, 0);
    sizer_5->Add(_1_X_N_copy_20, 1, wxEXPAND, 0);
    sizer_5->Add(_0_N_F_copy_20, 0, wxFIXED_MINSIZE, 0);
    sizer_5->Add(_1_N_F_copy_20, 1, wxFIXED_MINSIZE, 0);
    sizer_5->Add(_0_X_F_copy_20, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_5->Add(_1_X_F_copy_20, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_5->Add(_0_N_N_copy_21, 0, 0, 0);
    sizer_5->Add(_1_N_N_copy_21, 1, 0, 0);
    sizer_5->Add(_0_X_N_copy_21, 0, wxEXPAND, 0);
    sizer_5->Add(_1_X_N_copy_21, 1, wxEXPAND, 0);
    sizer_5->Add(_0_N_F_copy_21, 0, wxFIXED_MINSIZE, 0);
    sizer_5->Add(_1_N_F_copy_21, 1, wxFIXED_MINSIZE, 0);
    sizer_5->Add(_0_X_F_copy_21, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_5->Add(_1_X_F_copy_21, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_5->Add(_0_N_N_copy_22, 0, 0, 0);
    sizer_5->Add(_1_N_N_copy_22, 1, 0, 0);
    sizer_5->Add(_0_X_N_copy_22, 0, wxEXPAND, 0);
    sizer_5->Add(_1_X_N_copy_22, 1, wxEXPAND, 0);
    sizer_5->Add(_0_N_F_copy_22, 0, wxFIXED_MINSIZE, 0);
    sizer_5->Add(_1_N_F_copy_22, 1, wxFIXED_MINSIZE, 0);
    sizer_5->Add(_0_X_F_copy_22, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_5->Add(_1_X_F_copy_22, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_5->Add(_0_N_N_copy_23, 0, 0, 0);
    sizer_5->Add(_1_N_N_copy_23, 1, 0, 0);
    sizer_5->Add(_0_X_N_copy_23, 0, wxEXPAND, 0);
    sizer_5->Add(_1_X_N_copy_23, 1, wxEXPAND, 0);
    sizer_5->Add(_0_N_F_copy_23, 0, wxFIXED_MINSIZE, 0);
    sizer_5->Add(_1_N_F_copy_23, 1, wxFIXED_MINSIZE, 0);
    sizer_5->Add(_0_X_F_copy_23, 0, wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_5->Add(_1_X_F_copy_23, 1, wxEXPAND|wxFIXED_MINSIZE, 0);
    notebook_1_FlexGridSizer->SetSizer(sizer_5);
    sizer_5->AddGrowableRow(2);
    sizer_5->AddGrowableRow(5);
    sizer_5->AddGrowableCol(1);
    sizer_5->AddGrowableCol(7);
    sizer_6->Add(_0_N_N_copy_24, wxGBPosition(0, 0), wxGBSpan(1, 1), 0, 0);
    sizer_6->Add(_1_N_N_copy_24, wxGBPosition(0, 1), wxGBSpan(1, 1), 0, 0);
    sizer_6->Add(_0_X_N_copy_24, wxGBPosition(0, 2), wxGBSpan(1, 1), wxEXPAND, 0);
    sizer_6->Add(_1_X_N_copy_24, wxGBPosition(0, 3), wxGBSpan(1, 1), wxEXPAND, 0);
    sizer_6->Add(_0_N_F_copy_24, wxGBPosition(0, 4), wxGBSpan(1, 1), wxFIXED_MINSIZE, 0);
    sizer_6->Add(_1_N_F_copy_24, wxGBPosition(0, 5), wxGBSpan(1, 1), wxFIXED_MINSIZE, 0);
    sizer_6->Add(_0_X_F_copy_24, wxGBPosition(0, 6), wxGBSpan(1, 1), wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6->Add(_1_X_F_copy_24, wxGBPosition(0, 7), wxGBSpan(1, 1), wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6->Add(_0_N_N_copy_copy_copy_copy_copy, wxGBPosition(1, 0), wxGBSpan(1, 1), 0, 0);
    sizer_6->Add(_1_N_N_copy_copy_copy_copy_copy, wxGBPosition(1, 1), wxGBSpan(1, 1), 0, 0);
    sizer_6->Add(_0_X_N_copy_copy_copy_copy_copy, wxGBPosition(1, 2), wxGBSpan(1, 1), wxEXPAND, 0);
    sizer_6->Add(_1_X_N_copy_copy_copy_copy_copy, wxGBPosition(1, 3), wxGBSpan(1, 1), wxEXPAND, 0);
    sizer_6->Add(_0_N_F_copy_copy_copy_copy_copy, wxGBPosition(1, 4), wxGBSpan(1, 1), wxFIXED_MINSIZE, 0);
    sizer_6->Add(_1_N_F_copy_copy_copy_copy_copy, wxGBPosition(1, 5), wxGBSpan(1, 1), wxFIXED_MINSIZE, 0);
    sizer_6->Add(_0_X_F_copy_copy_copy_copy_copy, wxGBPosition(1, 6), wxGBSpan(1, 1), wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6->Add(_1_X_F_copy_copy_copy_copy_copy, wxGBPosition(1, 7), wxGBSpan(1, 1), wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6->Add(_0_N_N_copy_25, wxGBPosition(2, 0), wxGBSpan(1, 1), 0, 0);
    sizer_6->Add(_1_N_N_copy_25, wxGBPosition(2, 1), wxGBSpan(1, 1), 0, 0);
    sizer_6->Add(_0_X_N_copy_25, wxGBPosition(2, 2), wxGBSpan(1, 1), wxEXPAND, 0);
    sizer_6->Add(_1_X_N_copy_25, wxGBPosition(2, 3), wxGBSpan(1, 1), wxEXPAND, 0);
    sizer_6->Add(_0_N_F_copy_25, wxGBPosition(2, 4), wxGBSpan(1, 1), wxFIXED_MINSIZE, 0);
    sizer_6->Add(_1_N_F_copy_25, wxGBPosition(2, 5), wxGBSpan(1, 1), wxFIXED_MINSIZE, 0);
    sizer_6->Add(_0_X_F_copy_25, wxGBPosition(2, 6), wxGBSpan(1, 1), wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6->Add(_1_X_F_copy_25, wxGBPosition(2, 7), wxGBSpan(1, 1), wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6->Add(_0_N_N_copy_26, wxGBPosition(3, 0), wxGBSpan(1, 1), 0, 0);
    sizer_6->Add(_1_N_N_copy_26, wxGBPosition(3, 1), wxGBSpan(1, 1), 0, 0);
    sizer_6->Add(_0_X_N_copy_26, wxGBPosition(3, 2), wxGBSpan(1, 1), wxEXPAND, 0);
    sizer_6->Add(_1_X_N_copy_26, wxGBPosition(3, 3), wxGBSpan(1, 1), wxEXPAND, 0);
    sizer_6->Add(_0_N_F_copy_26, wxGBPosition(3, 4), wxGBSpan(1, 1), wxFIXED_MINSIZE, 0);
    sizer_6->Add(_1_N_F_copy_26, wxGBPosition(3, 5), wxGBSpan(1, 1), wxFIXED_MINSIZE, 0);
    sizer_6->Add(_0_X_F_copy_26, wxGBPosition(3, 6), wxGBSpan(1, 1), wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6->Add(_1_X_F_copy_26, wxGBPosition(3, 7), wxGBSpan(1, 1), wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6->Add(_0_N_N_copy_27, wxGBPosition(4, 0), wxGBSpan(1, 1), 0, 0);
    sizer_6->Add(_1_N_N_copy_27, wxGBPosition(4, 1), wxGBSpan(1, 1), 0, 0);
    sizer_6->Add(_0_X_N_copy_27, wxGBPosition(4, 2), wxGBSpan(1, 1), wxEXPAND, 0);
    sizer_6->Add(_1_X_N_copy_27, wxGBPosition(4, 3), wxGBSpan(1, 1), wxEXPAND, 0);
    sizer_6->Add(_0_N_F_copy_27, wxGBPosition(4, 4), wxGBSpan(1, 1), wxFIXED_MINSIZE, 0);
    sizer_6->Add(_1_N_F_copy_27, wxGBPosition(4, 5), wxGBSpan(1, 1), wxFIXED_MINSIZE, 0);
    sizer_6->Add(_0_X_F_copy_27, wxGBPosition(4, 6), wxGBSpan(1, 1), wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6->Add(_1_X_F_copy_27, wxGBPosition(4, 7), wxGBSpan(1, 1), wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6->Add(_0_N_N_copy_28, wxGBPosition(5, 0), wxGBSpan(1, 1), 0, 0);
    sizer_6->Add(_1_N_N_copy_28, wxGBPosition(5, 1), wxGBSpan(1, 1), 0, 0);
    sizer_6->Add(_0_X_N_copy_28, wxGBPosition(5, 2), wxGBSpan(1, 1), wxEXPAND, 0);
    sizer_6->Add(_1_X_N_copy_28, wxGBPosition(5, 3), wxGBSpan(1, 1), wxEXPAND, 0);
    sizer_6->Add(_0_N_F_copy_28, wxGBPosition(5, 4), wxGBSpan(1, 1), wxFIXED_MINSIZE, 0);
    sizer_6->Add(_1_N_F_copy_28, wxGBPosition(5, 5), wxGBSpan(1, 1), wxFIXED_MINSIZE, 0);
    sizer_6->Add(_0_X_F_copy_28, wxGBPosition(5, 6), wxGBSpan(1, 1), wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6->Add(_1_X_F_copy_28, wxGBPosition(5, 7), wxGBSpan(1, 1), wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6->Add(_0_N_N_copy_29, wxGBPosition(6, 0), wxGBSpan(1, 1), 0, 0);
    sizer_6->Add(_1_N_N_copy_29, wxGBPosition(6, 1), wxGBSpan(1, 1), 0, 0);
    sizer_6->Add(_0_X_N_copy_29, wxGBPosition(6, 2), wxGBSpan(1, 1), wxEXPAND, 0);
    sizer_6->Add(_1_X_N_copy_29, wxGBPosition(6, 3), wxGBSpan(1, 1), wxEXPAND, 0);
    sizer_6->Add(_0_N_F_copy_29, wxGBPosition(6, 4), wxGBSpan(1, 1), wxFIXED_MINSIZE, 0);
    sizer_6->Add(_1_N_F_copy_29, wxGBPosition(6, 5), wxGBSpan(1, 1), wxFIXED_MINSIZE, 0);
    sizer_6->Add(_0_X_F_copy_29, wxGBPosition(6, 6), wxGBSpan(1, 1), wxEXPAND|wxFIXED_MINSIZE, 0);
    sizer_6->Add(_1_X_F_copy_29, wxGBPosition(6, 7), wxGBSpan(1, 1), wxEXPAND|wxFIXED_MINSIZE, 0);
    notebook_1_GridBagSizer->SetSizer(sizer_6);
    sizer_6->AddGrowableRow(2);
    sizer_6->AddGrowableRow(5);
    sizer_6->AddGrowableCol(1);
    sizer_6->AddGrowableCol(7);
    sizer_border_10_none->Add(_0_N_N_border_10_none, 0, 0, 10);
    sizer_border_10_none->Add(_1_N_N_border_0_all, 1, wxALL, 0);
    sizer_border_10_none->Add(_0_X_N_border_5_LEFTRIGHT, 0, wxEXPAND|wxLEFT|wxRIGHT, 5);
    sizer_border_10_none->Add(_1_X_N_border_15_BOTTOM, 1, wxBOTTOM|wxEXPAND, 15);
    sizer_7->Add(sizer_border_10_none, 1, wxEXPAND, 10);
    sizer_border_0_ALL->Add(_0_N_N_copy_copy_1, 0, 0, 0);
    sizer_7->Add(sizer_border_0_ALL, 1, wxALL|wxEXPAND, 0);
    sizer_border_5_LEFTRIGHT->Add(_0_N_N_copy_31, 0, 0, 0);
    sizer_7->Add(sizer_border_5_LEFTRIGHT, 1, wxLEFT|wxRIGHT, 5);
    sizer_border_15_BOTTOM->Add(_0_N_N_copy_32, 0, 0, 0);
    sizer_7->Add(sizer_border_15_BOTTOM, 1, 0, 15);
    notebook_1_BorderTest->SetSizer(sizer_7);
    grid_sizer_1->Add(button_1, wxGBPosition(0, 0), wxGBSpan(1, 1), 0, 0);
    grid_sizer_1->Add(20, 20, wxGBPosition(2, 0), wxGBSpan(1, 1), wxEXPAND, 0);
    grid_sizer_1->Add(20, 20, wxGBPosition(2, 1), wxGBSpan(1, 1), wxEXPAND, 0);
    notebook_1_GridBagSizer_Spacers->SetSizer(grid_sizer_1);
    grid_sizer_1->AddGrowableRow(0);
    grid_sizer_1->AddGrowableRow(2);
    grid_sizer_1->AddGrowableCol(0);
    notebook_1->AddPage(notebook_1_pane_1, _("BoxSizer"));
    notebook_1->AddPage(notebook_1_WrapSizer, _("WrapSizer"));
    notebook_1->AddPage(notebook_1_StaticBoxSizer, _("StaticBoxSizer"));
    notebook_1->AddPage(notebook_1_GridSizer, _("GridSizer"));
    notebook_1->AddPage(notebook_1_FlexGridSizer, _("FlexGridSizer"));
    notebook_1->AddPage(notebook_1_GridBagSizer, _("GridBagSizer"));
    notebook_1->AddPage(notebook_1_BorderTest, _("BorderTest"));
    notebook_1->AddPage(notebook_1_GridBagSizer_Spacers, _("GridBagSizer_Spacers"));
    sizer_1->Add(notebook_1, 1, wxEXPAND, 0);
    SetSizer(sizer_1);
    Layout();
    // end wxGlade
}


class App: public wxApp {
public:
    bool OnInit();
protected:
    wxLocale m_locale;  // locale we'll be using
};

IMPLEMENT_APP(App)

bool App::OnInit()
{
    m_locale.Init();
#ifdef APP_LOCALE_DIR
    m_locale.AddCatalogLookupPathPrefix(wxT(APP_LOCALE_DIR));
#endif
    m_locale.AddCatalog(wxT(APP_CATALOG));

    wxInitAllImageHandlers();
    MyFrame* frame = new MyFrame(NULL, wxID_ANY, wxEmptyString);
    SetTopWindow(frame);
    frame->Show();
    return true;
}
